Skip to main content
Edit your comment

Authorizations

Authorization
string
header
required

Personal API key. Send X-Organization-Id. The required cumulative level is listed in x-watchdog-permission.

Headers

X-Organization-Id
string

Required for personal API keys. Target one organization you have access to. Migrated keys may omit it to use their original organization. For Clerk sessions, it must match the active organization.

Path Parameters

id
string<uuid>
required

Body

application/json
body
string
required
Required string length: 1 - 5000

Response

The comment, owning entity, author and reply count.

type
enum<string>
required
Available options:
comment
id
string<uuid>
required
entity_type
enum<string>
required
Available options:
invoice,
agreement,
alert,
claim
entity_id
string<uuid>
required
parent_comment_id
string<uuid> | null
required
body
string
required
author
object
required
occurred_at
string<date-time>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
reply_count
integer
required
Required range: x >= 0